--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api private"
full_name: DataMapper::Transaction#primitive_for
is_singleton: false
name: primitive_for
params: (adapter)
visibility: public
